Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.freeform.basic
Class BasicFreeformLayer

    java.lang.Object
      org.encog.neural.freeform.basic.BasicFreeformLayer

All Implemented Interfaces:
  Serializable, FreeformLayer

    public class BasicFreeformLayer

extends Object
implements FreeformLayer, Serializable

Implements a basic freeform layer.

See Also:
  Serialized Form

Constructor Summary
`BasicFreeformLayer()`

Method Summary
`void` | `add(FreeformNeuron basicFreeformNeuron)` Add a neuron to this layer.
`List<FreeformNeuron>` | `getNeurons()`
`boolean` | `hasBias()`
`void` | `setActivation(int i, double activation)` Set the activation for the specified index.
`int` | `size()`
`int` | `sizeNonBias()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFreeformLayer

    public BasicFreeformLayer()

Method Detail

### add

    public void add(FreeformNeuron basicFreeformNeuron)

  Add a neuron to this layer.

  Specified by:
    `add` in interface `FreeformLayer`
  Parameters:
    `basicFreeformNeuron` - The neuron to add.

### getNeurons

    public List<FreeformNeuron> getNeurons()

  Specified by:
    `getNeurons` in interface `FreeformLayer`
  Returns:
    The neurons in this layer.

### hasBias

    public boolean hasBias()

  Specified by:
    `hasBias` in interface `FreeformLayer`
  Returns:
    True if this layer has bias.

### setActivation

    public void setActivation(int i,
                              double activation)

  Set the activation for the specified index.

  Specified by:
    `setActivation` in interface `FreeformLayer`
  Parameters:
    `i` - The index.
    `activation` - The data for that index.

### size

    public int size()

  Specified by:
    `size` in interface `FreeformLayer`
  Returns:
    The size of this layer, including bias.

### sizeNonBias

    public int sizeNonBias()

  Specified by:
    `sizeNonBias` in interface `FreeformLayer`
  Returns:
    The size of this layer, no bias counted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.